#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSCounterStyleRule = 871,
  CSSFontFaceRule = 891,
  CSSFontFeatureValuesRule = 907,
  CSSGroupingRule = 932,
  CSSImportRule = 948,
  CSSKeyframeRule = 962,
  CSSKeyframesRule = 978,
  CSSLayerBlockRule = 995,
  CSSLayerStatementRule = 1013,
  CSSMediaRule = 1035,
  CSSMozDocumentRule = 1048,
  CSSNamespaceRule = 1067,
  CSSPageRule = 1084,
  CSSPseudoElement = 1096,
  CSSRule = 1113,
  CSSRuleList = 1121,
  CSSScrollTimelineRule = 1133,
  CSSStyleDeclaration = 1155,
  CSSStyleRule = 1175,
  CSSStyleSheet = 1188,
  CSSSupportsRule = 1202,
  CSSTransition = 1218,
  Cache = 1232,
  CacheStorage = 1238,
  CallbackDebuggerNotification = 1251,
  CanonicalBrowsingContext = 1280,
  CanvasCaptureMediaStream = 1305,
  CanvasGradient = 1330,
  CanvasPattern = 1345,
  CanvasRenderingContext2D = 1359,
  CaretPosition = 1384,
  CaretStateChangedEvent = 1398,
  ChannelMergerNode = 1421,
  ChannelSplitterNode = 1439,
  ChannelWrapper = 1459,
  CharacterData = 1474,
  CheckerboardReportService = 1488,
  ChildProcessMessageManager = 1514,
  ChildSHistory = 1541,
  ChromeMessageBroadcaster = 1555,
  ChromeMessageSender = 1580,
  ChromeNodeList = 1600,
  ChromeUtils = 1615,
  ChromeWorker = 1627,
  Client = 1640,
  Clients = 1647,
  Clipboard = 1655,
  ClipboardEvent = 1665,
  ClipboardItem = 1680,
  ClonedErrorHolder = 1694,
  CloseEvent = 1712,
  CommandEvent = 1723,
  Comment = 1736,
  CompositionEvent = 1744,
  ConsoleInstance = 1761,
  ConstantSourceNode = 1777,
  ContentFrameMessageManager = 1796,
  ContentProcessMessageManager = 1823,
  ConvolverNode = 1852,
  CountQueuingStrategy = 1866,
  CreateOfferRequest = 1887,
  Credential = 1906,
  CredentialsContainer = 1917,
  Crypto = 1938,
  CryptoKey = 1945,
  CustomElementRegistry = 1955,
  CustomEvent = 1977,
  DOMException = 1989,
  DOMImplementation = 2002,
  DOMLocalization = 2020,
  DOMMatrix = 2036,
  DOMMatrixReadOnly = 2046,
  DOMParser = 2064,
  DOMPoint = 2074,
  DOMPointReadOnly = 2083,
  DOMQuad = 2100,
  DOMRect = 2108,
  DOMRectList = 2116,
  DOMRectReadOnly = 2128,
  DOMRequest = 2144,
  DOMStringList = 2155,
  DOMStringMap = 2169,
  DOMTokenList = 2182,
  DataTransfer = 2195,
  DataTransferItem = 2208,
  DataTransferItemList = 2225,
  DebuggerNotification = 2246,
  DebuggerNotificationObserver = 2267,
  DedicatedWorkerGlobalScope = 2296,
  DelayNode = 2323,
  DeprecationReportBody = 2333,
  DeviceAcceleration = 2355,
  DeviceLightEvent = 2374,
  DeviceMotionEvent = 2391,
  DeviceOrientationEvent = 2409,
  DeviceRotationRate = 2432,
  Directory = 2451,
  Document = 2461,
  DocumentFragment = 2470,
  DocumentL10n = 2487,
  DocumentTimeline = 2500,
  DocumentType = 2517,
  DominatorTree = 2530,
  DragEvent = 2544,
  DynamicsCompressorNode = 2554,
  EXT_blend_minmax = 2577,
  EXT_color_buffer_float = 2594,
  EXT_color_buffer_half_float = 2617,
  EXT_disjoint_timer_query = 2645,
  EXT_float_blend = 2670,
  EXT_frag_depth = 2686,
  EXT_sRGB = 2701,
  EXT_shader_texture_lod = 2710,
  EXT_texture_compression_bptc = 2733,
  EXT_texture_compression_rgtc = 2762,
  EXT_texture_filter_anisotropic = 2791,
  EXT_texture_norm16 = 2822,
  Element = 2841,
  ElementInternals = 2849,
  ErrorEvent = 2866,
  Event = 2877,
  EventCallbackDebuggerNotification = 2883,
  EventCounts = 2917,
  EventSource = 2929,
  EventTarget = 2941,
  Exception = 2953,
  ExtendableEvent = 2963,
  ExtendableMessageEvent = 2979,
  ExtensionAlarms = 3002,
  ExtensionBrowser = 3018,
  ExtensionEventManager = 3035,
  ExtensionMockAPI = 3057,
  ExtensionPort = 3074,
  ExtensionRuntime = 3088,
  ExtensionTest = 3105,
  External = 3119,
  FeaturePolicy = 3128,
  FeaturePolicyViolationReportBody = 3142,
  FetchEvent = 3175,
  FetchObserver = 3186,
  File = 3200,
  FileList = 3205,
  FileReader = 3214,
  FileReaderSync = 3225,
  FileSystem = 3240,
  FileSystemDirectoryEntry = 3251,
  FileSystemDirectoryHandle = 3276,
  FileSystemDirectoryIterator = 3302,
  FileSystemDirectoryReader = 3330,
  FileSystemEntry = 3356,
  FileSystemFileEntry = 3372,
  FileSystemFileHandle = 3392,
  FileSystemHandle = 3413,
  FileSystemSyncAccessHandle = 3430,
  FileSystemWritableFileStream = 3457,
  Flex = 3486,
  FlexItemValues = 3491,
  FlexLineValues = 3506,
  FluentBundle = 3521,
  FluentBundleAsyncIterator = 3534,
  FluentBundleIterator = 3560,
  FluentPattern = 3581,
  FluentResource = 3595,
  FocusEvent = 3610,
  FontFace = 3621,
  FontFaceSet = 3630,
  FontFaceSetIterator = 3642,
  FontFaceSetLoadEvent = 3662,
  FormData = 3683,
  FormData_Iterator = 3692,
  FormDataEvent = 3710,
  FrameCrashedEvent = 3724,
  FrameLoader = 3742,
  GPU = 3754,
  GPUAdapter = 3758,
  GPUBindGroup = 3769,
  GPUBindGroupLayout = 3782,
  GPUBuffer = 3801,
  GPUBufferUsage = 3811,
  GPUCanvasContext = 3826,
  GPUColorWrite = 3843,
  GPUCommandBuffer = 3857,
  GPUCommandEncoder = 3874,
  GPUCompilationInfo = 3892,
  GPUCompilationMessage = 3911,
  GPUComputePassEncoder = 3933,
  GPUComputePipeline = 3955,
  GPUDevice = 3974,
  GPUDeviceLostInfo = 3984,
  GPUMapMode = 4002,
  GPUOutOfMemoryError = 4013,
  GPUPipelineLayout = 4033,
  GPUQuerySet = 4051,
  GPUQueue = 4063,
  GPURenderBundle = 4072,
  GPURenderBundleEncoder = 4088,
  GPURenderPassEncoder = 4111,
  GPURenderPipeline = 4132,
  GPUSampler = 4150,
  GPUShaderModule = 4161,
  GPUShaderStage = 4177,
  GPUSupportedFeatures = 4192,
  GPUSupportedLimits = 4213,
  GPUTexture = 4232,
  GPUTextureUsage = 4243,
  GPUTextureView = 4259,
  GPUUncapturedErrorEvent = 4274,
  GPUValidationError = 4298,
  GainNode = 4317,
  Gamepad = 4326,
  GamepadAxisMoveEvent = 4334,
  GamepadButton = 4355,
  GamepadButtonEvent = 4369,
  GamepadEvent = 4388,
  GamepadHapticActuator = 4401,
  GamepadLightIndicator = 4423,
  GamepadPose = 4445,
  GamepadServiceTest = 4457,
  GamepadTouch = 4476,
  Geolocation = 4489,
  GeolocationCoordinates = 4501,
  GeolocationPosition = 4524,
  GeolocationPositionError = 4544,
  GetUserMediaRequest = 4569,
  GleanCategory = 4589,
  GleanImpl = 4603,
  GleanLabeled = 4613,
  GleanPingsImpl = 4626,
  Grid = 4641,
  GridArea = 4646,
  GridDimension = 4655,
  GridLine = 4669,
  GridLines = 4678,
  GridTrack = 4688,
  GridTracks = 4698,
  HTMLAllCollection = 4709,
  HTMLAnchorElement = 4727,
  HTMLAreaElement = 4745,
  HTMLAudioElement = 4761,
  HTMLBRElement = 4778,
  HTMLBaseElement = 4792,
  HTMLBodyElement = 4808,
  HTMLButtonElement = 4824,
  HTMLCanvasElement = 4842,
  HTMLCollection = 4860,
  HTMLDListElement = 4875,
  HTMLDataElement = 4892,
  HTMLDataListElement = 4908,
  HTMLDetailsElement = 4928,
  HTMLDialogElement = 4947,
  HTMLDirectoryElement = 4965,
  HTMLDivElement = 4986,
  HTMLDocument = 5001,
  HTMLElement = 5014,
  HTMLEmbedElement = 5026,
  HTMLFieldSetElement = 5043,
  HTMLFontElement = 5063,
  HTMLFormControlsCollection = 5079,
  HTMLFormElement = 5106,
  HTMLFrameElement = 5122,
  HTMLFrameSetElement = 5139,
  HTMLHRElement = 5159,
  HTMLHeadElement = 5173,
  HTMLHeadingElement = 5189,
  HTMLHtmlElement = 5208,
  HTMLIFrameElement = 5224,
  HTMLImageElement = 5242,
  HTMLInputElement = 5259,
  HTMLLIElement = 5276,
  HTMLLabelElement = 5290,
  HTMLLegendElement = 5307,
  HTMLLinkElement = 5325,
  HTMLMapElement = 5341,
  HTMLMarqueeElement = 5356,
  HTMLMediaElement = 5375,
  HTMLMenuElement = 5392,
  HTMLMenuItemElement = 5408,
  HTMLMetaElement = 5428,
  HTMLMeterElement = 5444,
  HTMLModElement = 5461,
  HTMLOListElement = 5476,
  HTMLObjectElement = 5493,
  HTMLOptGroupElement = 5511,
  HTMLOptionElement = 5531,
  HTMLOptionsCollection = 5549,
  HTMLOutputElement = 5571,
  HTMLParagraphElement = 5589,
  HTMLParamElement = 5610,
  HTMLPictureElement = 5627,
  HTMLPreElement = 5646,
  HTMLProgressElement = 5661,
  HTMLQuoteElement = 5681,
  HTMLScriptElement = 5698,
  HTMLSelectElement = 5716,
  HTMLSlotElement = 5734,
  HTMLSourceElement = 5750,
  HTMLSpanElement = 5768,
  HTMLStyleElement = 5784,
  HTMLTableCaptionElement = 5801,
  HTMLTableCellElement = 5825,
  HTMLTableColElement = 5846,
  HTMLTableElement = 5866,
  HTMLTableRowElement = 5883,
  HTMLTableSectionElement = 5903,
  HTMLTemplateElement = 5927,
  HTMLTextAreaElement = 5947,
  HTMLTimeElement = 5967,
  HTMLTitleElement = 5983,
  HTMLTrackElement = 6000,
  HTMLUListElement = 6017,
  HTMLUnknownElement = 6034,
  HTMLVideoElement = 6053,
  HashChangeEvent = 6070,
  Headers = 6086,
  Headers_Iterator = 6094,
  HeapSnapshot = 6111,
  History = 6124,
  IDBCursor = 6132,
  IDBCursorWithValue = 6142,
  IDBDatabase = 6161,
  IDBFactory = 6173,
  IDBFileHandle = 6184,
  IDBFileRequest = 6198,
  IDBIndex = 6213,
  IDBKeyRange = 6222,
  IDBLocaleAwareKeyRange = 6234,
  IDBMutableFile = 6257,
  IDBObjectStore = 6272,
  IDBOpenDBRequest = 6287,
  IDBRequest = 6304,
  IDBTransaction = 6315,
  IDBVersionChangeEvent = 6330,
  IIRFilterNode = 6352,
  IOUtils = 6366,
  IdleDeadline = 6374,
  Image = 6387,
  ImageBitmap = 6393,
  ImageBitmapRenderingContext = 6405,
  ImageCapture = 6433,
  ImageCaptureError = 6446,
  ImageCaptureErrorEvent = 6464,
  ImageData = 6487,
  ImageDocument = 6497,
  InputEvent = 6511,
  InspectorFontFace = 6522,
  InspectorUtils = 6540,
  InstallTriggerImpl = 6555,
  IntersectionObserver = 6574,
  IntersectionObserverEntry = 6595,
  IntlUtils = 6621,
  JSProcessActorChild = 6631,
  JSProcessActorParent = 6651,
  JSWindowActorChild = 6672,
  JSWindowActorParent = 6691,
  KeyEvent = 6711,
  KeyboardEvent = 6720,
  KeyframeEffect = 6734,
  L10nFileSource = 6749,
  L10nOverlays = 6764,
  L10nRegistry = 6777,
  LegacyMozTCPSocket = 6790,
  Localization = 6809,
  Location = 6822,
  Lock = 6831,
  LockManager = 6836,
  MIDIAccess = 6848,
  MIDIConnectionEvent = 6859,
  MIDIInput = 6879,
  MIDIInputMap = 6889,
  MIDIMessageEvent = 6902,
  MIDIOutput = 6919,
  MIDIOutputMap = 6930,
  MIDIPort = 6944,
  MOZ_debug = 6953,
  MatchGlob = 6963,
  MatchPattern = 6973,
  MatchPatternSet = 6986,
  MathMLElement = 7002,
  MediaCapabilities = 7016,
  MediaCapabilitiesInfo = 7034,
  MediaControlService = 7056,
  MediaController = 7076,
  MediaDeviceInfo = 7092,
  MediaDevices = 7108,
  MediaElementAudioSourceNode = 7121,
  MediaEncryptedEvent = 7149,
  MediaError = 7169,
  MediaKeyError = 7180,
  MediaKeyMessageEvent = 7194,
  MediaKeySession = 7215,
  MediaKeyStatusMap = 7231,
  MediaKeyStatusMap_Iterator = 7249,
  MediaKeySystemAccess = 7276,
  MediaKeys = 7297,
  MediaList = 7307,
  MediaMetadata = 7317,
  MediaQueryList = 7331,
  MediaQueryListEvent = 7346,
  MediaRecorder = 7366,
  MediaRecorderErrorEvent = 7380,
  MediaSession = 7404,
  MediaSource = 7417,
  MediaStream = 7429,
  MediaStreamAudioDestinationNode = 7441,
  MediaStreamAudioSourceNode = 7473,
  MediaStreamError = 7500,
  MediaStreamEvent = 7517,
  MediaStreamTrack = 7534,
  MediaStreamTrackAudioSourceNode = 7551,
  MediaStreamTrackEvent = 7583,
  MerchantValidationEvent = 7605,
  MessageBroadcaster = 7629,
  MessageChannel = 7648,
  MessageEvent = 7663,
  MessageListenerManager = 7676,
  MessagePort = 7699,
  MessageSender = 7711,
  MimeType = 7725,
  MimeTypeArray = 7734,
  MouseEvent = 7748,
  MouseScrollEvent = 7759,
  MozCanvasPrintState = 7776,
  MozDocumentMatcher = 7796,
  MozDocumentObserver = 7815,
  MozQueryInterface = 7835,
  MozSharedMap = 7853,
  MozSharedMap_Iterator = 7866,
  MozSharedMapChangeEvent = 7888,
  MozStorageAsyncStatementParams = 7912,
  MozStorageStatementParams = 7943,
  MozStorageStatementRow = 7969,
  MozWritableSharedMap = 7992,
  MutationEvent = 8013,
  MutationObserver = 8027,
  MutationRecord = 8044,
  NamedNodeMap = 8059,
  NavigationPreloadManager = 8072,
  Navigator = 8097,
  NetworkInformation = 8107,
  Node = 8126,
  NodeFilter = 8131,
  NodeIterator = 8142,
  NodeList = 8155,
  Notification = 8164,
  NotificationEvent = 8177,
  NotifyPaintEvent = 8195,
  OES_draw_buffers_indexed = 8212,
  OES_element_index_uint = 8237,
  OES_fbo_render_mipmap = 8260,
  OES_standard_derivatives = 8282,
  OES_texture_float = 8307,
  OES_texture_float_linear = 8325,
  OES_texture_half_float = 8350,
  OES_texture_half_float_linear = 8373,
  OES_vertex_array_object = 8403,
  OVR_multiview2 = 8427,
  OfflineAudioCompletionEvent = 8442,
  OfflineAudioContext = 8470,
  OfflineResourceList = 8490,
  OffscreenCanvas = 8510,
  OffscreenCanvasRenderingContext2D = 8526,
  OnlyForUseInConstructor = 8560,
  Option = 8584,
  OscillatorNode = 8591,
  PageTransitionEvent = 8606,
  PaintRequest = 8626,
  PaintRequestList = 8639,
  PaintWorkletGlobalScope = 8656,
  PannerNode = 8680,
  ParentProcessMessageManager = 8691,
  Path2D = 8719,
  PathUtils = 8726,
  PaymentAddress = 8736,
  PaymentMethodChangeEvent = 8751,
  PaymentRequest = 8776,
  PaymentRequestUpdateEvent = 8791,
  PaymentResponse = 8817,
  PeerConnectionImpl = 8833,
  PeerConnectionObserver = 8852,
  Performance = 8875,
  PerformanceEntry = 8887,
  PerformanceEntryEvent = 8904,
  PerformanceEventTiming = 8926,
  PerformanceMark = 8949,
  PerformanceMeasure = 8965,
  PerformanceNavigation = 8984,
  PerformanceNavigationTiming = 9006,
  PerformanceObserver = 9034,
  PerformanceObserverEntryList = 9054,
  PerformancePaintTiming = 9083,
  PerformanceResourceTiming = 9106,
  PerformanceServerTiming = 9132,
  PerformanceTiming = 9156,
  PeriodicWave = 9174,
  PermissionStatus = 9187,
  Permissions = 9204,
  PlacesBookmark = 9216,
  PlacesBookmarkAddition = 9231,
  PlacesBookmarkChanged = 9254,
  PlacesBookmarkGuid = 9276,
  PlacesBookmarkMoved = 9295,
  PlacesBookmarkRemoved = 9315,
  PlacesBookmarkTags = 9337,
  PlacesBookmarkTime = 9356,
  PlacesBookmarkTitle = 9375,
  PlacesBookmarkUrl = 9395,
  PlacesEvent = 9413,
  PlacesFavicon = 9425,
  PlacesHistoryCleared = 9439,
  PlacesObservers = 9460,
  PlacesPurgeCaches = 9476,
  PlacesRanking = 9494,
  PlacesVisit = 9508,
  PlacesVisitRemoved = 9520,
  PlacesVisitTitle = 9539,
  PlacesWeakCallbackWrapper = 9556,
  Plugin = 9582,
  PluginArray = 9589,
  PluginCrashedEvent = 9601,
  PointerEvent = 9620,
  PopStateEvent = 9633,
  PopupBlockedEvent = 9647,
  PopupPositionedEvent = 9665,
  PositionStateEvent = 9686,
  PrecompiledScript = 9705,
  PrioEncoder = 9723,
  ProcessMessageManager = 9735,
  ProcessingInstruction = 9757,
  ProgressEvent = 9779,
  PromiseDebugging = 9793,
  PromiseNativeHandler = 9810,
  PromiseRejectionEvent = 9831,
  PublicKeyCredential = 9853,
  PushEvent = 9873,
  PushManager = 9883,
  PushManagerImpl = 9895,
  PushMessageData = 9911,
  PushSubscription = 9927,
  PushSubscriptionOptions = 9944,
  RTCCertificate = 9968,
  RTCDTMFSender = 9983,
  RTCDTMFToneChangeEvent = 9997,
  RTCDataChannel = 10020,
  RTCDataChannelEvent = 10035,
  RTCDtlsTransport = 10055,
  RTCIceCandidate = 10072,
  RTCIdentityProviderRegistrar = 10088,
  RTCPeerConnection = 10117,
  RTCPeerConnectionIceEvent = 10135,
  RTCPeerConnectionStatic = 10161,
  RTCRtpReceiver = 10185,
  RTCRtpSender = 10200,
  RTCRtpTransceiver = 10213,
  RTCSessionDescription = 10231,
  RTCStatsReport = 10253,
  RTCTrackEvent = 10268,
  RadioNodeList = 10282,
  Range = 10296,
  ReadableByteStreamController = 10302,
  ReadableStream = 10331,
  ReadableStreamBYOBReader = 10346,
  ReadableStreamBYOBRequest = 10371,
  ReadableStreamDefaultController = 10397,
  ReadableStreamDefaultReader = 10429,
  Report = 10457,
  ReportBody = 10464,
  ReportingObserver = 10475,
  Request = 10493,
  ResizeObserver = 10501,
  ResizeObserverEntry = 10516,
  ResizeObserverSize = 10536,
  Response = 10555,
  SVGAElement = 10564,
  SVGAngle = 10576,
  SVGAnimateElement = 10585,
  SVGAnimateMotionElement = 10603,
  SVGAnimateTransformElement = 10627,
  SVGAnimatedAngle = 10654,
  SVGAnimatedBoolean = 10671,
  SVGAnimatedEnumeration = 10690,
  SVGAnimatedInteger = 10713,
  SVGAnimatedLength = 10732,
  SVGAnimatedLengthList = 10750,
  SVGAnimatedNumber = 10772,
  SVGAnimatedNumberList = 10790,
  SVGAnimatedPreserveAspectRatio = 10812,
  SVGAnimatedRect = 10843,
  SVGAnimatedString = 10859,
  SVGAnimatedTransformList = 10877,
  SVGAnimationElement = 10902,
  SVGCircleElement = 10922,
  SVGClipPathElement = 10939,
  SVGComponentTransferFunctionElement = 10958,
  SVGDefsElement = 10994,
  SVGDescElement = 11009,
  SVGElement = 11024,
  SVGEllipseElement = 11035,
  SVGFEBlendElement = 11053,
  SVGFEColorMatrixElement = 11071,
  SVGFEComponentTransferElement = 11095,
  SVGFECompositeElement = 11125,
  SVGFEConvolveMatrixElement = 11147,
  SVGFEDiffuseLightingElement = 11174,
  SVGFEDisplacementMapElement = 11202,
  SVGFEDistantLightElement = 11230,
  SVGFEDropShadowElement = 11255,
  SVGFEFloodElement = 11278,
  SVGFEFuncAElement = 11296,
  SVGFEFuncBElement = 11314,
  SVGFEFuncGElement = 11332,
  SVGFEFuncRElement = 11350,
  SVGFEGaussianBlurElement = 11368,
  SVGFEImageElement = 11393,
  SVGFEMergeElement = 11411,
  SVGFEMergeNodeElement = 11429,
  SVGFEMorphologyElement = 11451,
  SVGFEOffsetElement = 11474,
  SVGFEPointLightElement = 11493,
  SVGFESpecularLightingElement = 11516,
  SVGFESpotLightElement = 11545,
  SVGFETileElement = 11567,
  SVGFETurbulenceElement = 11584,
  SVGFilterElement = 11607,
  SVGForeignObjectElement = 11624,
  SVGGElement = 11648,
  SVGGeometryElement = 11660,
  SVGGradientElement = 11679,
  SVGGraphicsElement = 11698,
  SVGImageElement = 11717,
  SVGLength = 11733,
  SVGLengthList = 11743,
  SVGLineElement = 11757,
  SVGLinearGradientElement = 11772,
  SVGMPathElement = 11797,
  SVGMarkerElement = 11813,
  SVGMaskElement = 11830,
  SVGMatrix = 11845,
  SVGMetadataElement = 11855,
  SVGNumber = 11874,
  SVGNumberList = 11884,
  SVGPathElement = 11898,
  SVGPathSeg = 11913,
  SVGPathSegArcAbs = 11924,
  SVGPathSegArcRel = 11941,
  SVGPathSegClosePath = 11958,
  SVGPathSegCurvetoCubicAbs = 11978,
  SVGPathSegCurvetoCubicRel = 12004,
  SVGPathSegCurvetoCubicSmoothAbs = 12030,
  SVGPathSegCurvetoCubicSmoothRel = 12062,
  SVGPathSegCurvetoQuadraticAbs = 12094,
  SVGPathSegCurvetoQuadraticRel = 12124,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12154,
  SVGPathSegCurvetoQuadraticSmoothRel = 12190,
  SVGPathSegLinetoAbs = 12226,
  SVGPathSegLinetoHorizontalAbs = 12246,
  SVGPathSegLinetoHorizontalRel = 12276,
  SVGPathSegLinetoRel = 12306,
  SVGPathSegLinetoVerticalAbs = 12326,
  SVGPathSegLinetoVerticalRel = 12354,
  SVGPathSegList = 12382,
  SVGPathSegMovetoAbs = 12397,
  SVGPathSegMovetoRel = 12417,
  SVGPatternElement = 12437,
  SVGPoint = 12455,
  SVGPointList = 12464,
  SVGPolygonElement = 12477,
  SVGPolylineElement = 12495,
  SVGPreserveAspectRatio = 12514,
  SVGRadialGradientElement = 12537,
  SVGRect = 12562,
  SVGRectElement = 12570,
  SVGSVGElement = 12585,
  SVGScriptElement = 12599,
  SVGSetElement = 12616,
  SVGStopElement = 12630,
  SVGStringList = 12645,
  SVGStyleElement = 12659,
  SVGSwitchElement = 12675,
  SVGSymbolElement = 12692,
  SVGTSpanElement = 12709,
  SVGTextContentElement = 12725,
  SVGTextElement = 12747,
  SVGTextPathElement = 12762,
  SVGTextPositioningElement = 12781,
  SVGTitleElement = 12807,
  SVGTransform = 12823,
  SVGTransformList = 12836,
  SVGUnitTypes = 12853,
  SVGUseElement = 12866,
  SVGViewElement = 12880,
  Sanitizer = 12895,
  Screen = 12905,
  ScreenLuminance = 12912,
  ScreenOrientation = 12928,
  ScriptProcessorNode = 12946,
  ScrollAreaEvent = 12966,
  ScrollViewChangeEvent = 12982,
  SecurityPolicyViolationEvent = 13004,
  Selection = 13033,
  ServiceWorker = 13043,
  ServiceWorkerContainer = 13057,
  ServiceWorkerGlobalScope = 13080,
  ServiceWorkerRegistration = 13105,
  SessionStoreUtils = 13131,
  ShadowRoot = 13149,
  SharedWorker = 13160,
  SharedWorkerGlobalScope = 13173,
  SimpleGestureEvent = 13197,
  SourceBuffer = 13216,
  SourceBufferList = 13229,
  SpeechGrammar = 13246,
  SpeechGrammarList = 13260,
  SpeechRecognition = 13278,
  SpeechRecognitionAlternative = 13296,
  SpeechRecognitionError = 13325,
  SpeechRecognitionEvent = 13348,
  SpeechRecognitionResult = 13371,
  SpeechRecognitionResultList = 13395,
  SpeechSynthesis = 13423,
  SpeechSynthesisErrorEvent = 13439,
  SpeechSynthesisEvent = 13465,
  SpeechSynthesisUtterance = 13486,
  SpeechSynthesisVoice = 13511,
  StaticRange = 13532,
  StereoPannerNode = 13544,
  Storage = 13561,
  StorageEvent = 13569,
  StorageManager = 13582,
  StreamFilter = 13597,
  StreamFilterDataEvent = 13610,
  StructuredCloneHolder = 13632,
  StructuredCloneTester = 13654,
  StyleSheet = 13676,
  StyleSheetApplicableStateChangeEvent = 13687,
  StyleSheetList = 13724,
  SubmitEvent = 13739,
  SubtleCrypto = 13751,
  SyncMessageSender = 13764,
  SyncReadFile = 13782,
  TCPServerSocket = 13795,
  TCPServerSocketEvent = 13811,
  TCPSocket = 13832,
  TCPSocketErrorEvent = 13842,
  TCPSocketEvent = 13862,
  TelemetryStopwatch = 13877,
  TestAttributesOnTypes = 13896,
  TestCEReactionsInterface = 13918,
  TestCImplementedInterface = 13943,
  TestCImplementedInterface2 = 13969,
  TestChildInterface = 13996,
  TestConstructorForFuncInterface = 14015,
  TestConstructorForPrefInterface = 14047,
  TestConstructorForSCInterface = 14079,
  TestCppKeywordNamedMethodsInterface = 14109,
  TestDeprecatedInterface = 14145,
  TestExampleInterface = 14169,
  TestExampleProxyInterface = 14190,
  TestExampleThrowingConstructorInterface = 14216,
  TestExampleWorkerInterface = 14256,
  TestFuncConstructorForDifferentFuncInterface = 14283,
  TestFuncConstructorForInterface = 14328,
  TestHTMLConstructorInterface = 14360,
  TestIndexedAndNamedGetterAndSetterInterface = 14389,
  TestIndexedAndNamedGetterInterface = 14433,
  TestIndexedAndNamedSetterInterface = 14468,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 14503,
  TestIndexedGetterInterface = 14553,
  TestIndexedSetterInterface = 14580,
  TestInterface = 14607,
  TestInterfaceWithPromiseConstructorArg = 14621,
  TestJSImplInterface = 14660,
  TestJSImplInterface2 = 14680,
  TestJSImplInterface3 = 14701,
  TestJSImplInterface4 = 14722,
  TestJSImplInterface5 = 14743,
  TestJSImplInterface6 = 14764,
  TestJSImplNoInterfaceObject = 14785,
  TestNamedDeleterInterface = 14813,
  TestNamedDeleterWithRetvalInterface = 14839,
  TestNamedGetterInterface = 14875,
  TestNamedSetterInterface = 14900,
  TestNamespace = 14925,
  TestNonWrapperCacheInterface = 14939,
  TestParentInterface = 14968,
  TestPrefChromeOnlySCFuncConstructorForInterface = 14988,
  TestPrefConstructorForDifferentPrefInterface = 15036,
  TestPrefConstructorForInterface = 15081,
  TestProtoObjectHackedNamespace = 15113,
  TestRenamedInterface = 15144,
  TestRenamedNamespace = 15165,
  TestSCConstructorForInterface = 15186,
  TestSecureContextInterface = 15216,
  TestThrowingConstructorInterface = 15243,
  TestUtils = 15276,
  TestWorkerExposedInterface = 15286,
  TestingDeprecatedInterface = 15313,
  Text = 15340,
  TextClause = 15345,
  TextDecoder = 15356,
  TextEncoder = 15368,
  TextMetrics = 15380,
  TextTrack = 15392,
  TextTrackCue = 15402,
  TextTrackCueList = 15415,
  TextTrackList = 15432,
  TimeEvent = 15446,
  TimeRanges = 15456,
  Touch = 15467,
  TouchEvent = 15473,
  TouchList = 15484,
  TrackEvent = 15494,
  TransceiverImpl = 15505,
  TransformStream = 15521,
  TransformStreamDefaultController = 15537,
  TransitionEvent = 15570,
  TreeColumn = 15586,
  TreeColumns = 15597,
  TreeContentView = 15609,
  TreeWalker = 15625,
  U2F = 15636,
  UDPMessageEvent = 15640,
  UDPSocket = 15656,
  UIEvent = 15666,
  URL = 15674,
  URLSearchParams = 15678,
  URLSearchParams_Iterator = 15694,
  UserInteraction = 15719,
  UserProximityEvent = 15735,
  VRDisplay = 15754,
  VRDisplayCapabilities = 15764,
  VRDisplayEvent = 15786,
  VREyeParameters = 15801,
  VRFieldOfView = 15817,
  VRFrameData = 15831,
  VRMockController = 15843,
  VRMockDisplay = 15860,
  VRPose = 15874,
  VRServiceTest = 15881,
  VRStageParameters = 15895,
  VTTCue = 15913,
  VTTRegion = 15920,
  ValidityState = 15930,
  VideoPlaybackQuality = 15944,
  VideoTrack = 15965,
  VideoTrackList = 15976,
  VisualViewport = 15991,
  WEBGL_color_buffer_float = 16006,
  WEBGL_compressed_texture_astc = 16031,
  WEBGL_compressed_texture_etc = 16061,
  WEBGL_compressed_texture_etc1 = 16090,
  WEBGL_compressed_texture_pvrtc = 16120,
  WEBGL_compressed_texture_s3tc = 16151,
  WEBGL_compressed_texture_s3tc_srgb = 16181,
  WEBGL_debug_renderer_info = 16216,
  WEBGL_debug_shaders = 16242,
  WEBGL_depth_texture = 16262,
  WEBGL_draw_buffers = 16282,
  WEBGL_explicit_present = 16301,
  WEBGL_lose_context = 16324,
  WaveShaperNode = 16343,
  WebExtensionContentScript = 16358,
  WebExtensionPolicy = 16384,
  WebGL2RenderingContext = 16403,
  WebGLActiveInfo = 16426,
  WebGLBuffer = 16442,
  WebGLContextEvent = 16454,
  WebGLFramebuffer = 16472,
  WebGLProgram = 16489,
  WebGLQuery = 16502,
  WebGLRenderbuffer = 16513,
  WebGLRenderingContext = 16531,
  WebGLSampler = 16553,
  WebGLShader = 16566,
  WebGLShaderPrecisionFormat = 16578,
  WebGLSync = 16605,
  WebGLTexture = 16615,
  WebGLTransformFeedback = 16628,
  WebGLUniformLocation = 16651,
  WebGLVertexArrayObject = 16672,
  WebKitCSSMatrix = 16695,
  WebSocket = 16711,
  WebrtcGlobalInformation = 16721,
  WheelEvent = 16745,
  Window = 16756,
  WindowClient = 16763,
  WindowContext = 16776,
  WindowGlobalChild = 16790,
  WindowGlobalParent = 16808,
  WindowRoot = 16827,
  Worker = 16838,
  WorkerDebuggerGlobalScope = 16845,
  WorkerGlobalScope = 16871,
  WorkerLocation = 16889,
  WorkerNavigator = 16904,
  WorkerTestUtils = 16920,
  Worklet = 16936,
  WorkletGlobalScope = 16944,
  WritableStream = 16963,
  WritableStreamDefaultController = 16978,
  WritableStreamDefaultWriter = 17010,
  XMLDocument = 17038,
  XMLHttpRequest = 17050,
  XMLHttpRequestEventTarget = 17065,
  XMLHttpRequestUpload = 17091,
  XMLSerializer = 17112,
  XPathEvaluator = 17126,
  XPathExpression = 17141,
  XPathResult = 17157,
  XRBoundedReferenceSpace = 17169,
  XRFrame = 17193,
  XRInputSource = 17201,
  XRInputSourceArray = 17215,
  XRInputSourceEvent = 17234,
  XRInputSourcesChangeEvent = 17253,
  XRPose = 17279,
  XRReferenceSpace = 17286,
  XRReferenceSpaceEvent = 17303,
  XRRenderState = 17325,
  XRRigidTransform = 17339,
  XRSession = 17356,
  XRSessionEvent = 17366,
  XRSpace = 17381,
  XRSystem = 17389,
  XRView = 17398,
  XRViewerPose = 17405,
  XRViewport = 17418,
  XRWebGLLayer = 17429,
  XSLTProcessor = 17442,
  XULCommandEvent = 17456,
  XULElement = 17472,
  XULFrameElement = 17483,
  XULMenuElement = 17499,
  XULPopupElement = 17514,
  XULTextElement = 17530,
  XULTreeElement = 17545,
  console = 17560,
  mozRTCIceCandidate = 17568,
  mozRTCPeerConnection = 17587,
  mozRTCSessionDescription = 17608,
  webkitSpeechGrammar = 17633,
  webkitSpeechGrammarList = 17653,
  webkitSpeechRecognition = 17677,
  webkitURL = 17701,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
