#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSCounterStyleRule" "\0"
  /*   891 */ "CSSFontFaceRule" "\0"
  /*   907 */ "CSSFontFeatureValuesRule" "\0"
  /*   932 */ "CSSGroupingRule" "\0"
  /*   948 */ "CSSImportRule" "\0"
  /*   962 */ "CSSKeyframeRule" "\0"
  /*   978 */ "CSSKeyframesRule" "\0"
  /*   995 */ "CSSLayerBlockRule" "\0"
  /*  1013 */ "CSSLayerStatementRule" "\0"
  /*  1035 */ "CSSMediaRule" "\0"
  /*  1048 */ "CSSMozDocumentRule" "\0"
  /*  1067 */ "CSSNamespaceRule" "\0"
  /*  1084 */ "CSSPageRule" "\0"
  /*  1096 */ "CSSPseudoElement" "\0"
  /*  1113 */ "CSSRule" "\0"
  /*  1121 */ "CSSRuleList" "\0"
  /*  1133 */ "CSSScrollTimelineRule" "\0"
  /*  1155 */ "CSSStyleDeclaration" "\0"
  /*  1175 */ "CSSStyleRule" "\0"
  /*  1188 */ "CSSStyleSheet" "\0"
  /*  1202 */ "CSSSupportsRule" "\0"
  /*  1218 */ "CSSTransition" "\0"
  /*  1232 */ "Cache" "\0"
  /*  1238 */ "CacheStorage" "\0"
  /*  1251 */ "CallbackDebuggerNotification" "\0"
  /*  1280 */ "CanonicalBrowsingContext" "\0"
  /*  1305 */ "CanvasCaptureMediaStream" "\0"
  /*  1330 */ "CanvasGradient" "\0"
  /*  1345 */ "CanvasPattern" "\0"
  /*  1359 */ "CanvasRenderingContext2D" "\0"
  /*  1384 */ "CaretPosition" "\0"
  /*  1398 */ "CaretStateChangedEvent" "\0"
  /*  1421 */ "ChannelMergerNode" "\0"
  /*  1439 */ "ChannelSplitterNode" "\0"
  /*  1459 */ "ChannelWrapper" "\0"
  /*  1474 */ "CharacterData" "\0"
  /*  1488 */ "CheckerboardReportService" "\0"
  /*  1514 */ "ChildProcessMessageManager" "\0"
  /*  1541 */ "ChildSHistory" "\0"
  /*  1555 */ "ChromeMessageBroadcaster" "\0"
  /*  1580 */ "ChromeMessageSender" "\0"
  /*  1600 */ "ChromeNodeList" "\0"
  /*  1615 */ "ChromeUtils" "\0"
  /*  1627 */ "ChromeWorker" "\0"
  /*  1640 */ "Client" "\0"
  /*  1647 */ "Clients" "\0"
  /*  1655 */ "Clipboard" "\0"
  /*  1665 */ "ClipboardEvent" "\0"
  /*  1680 */ "ClipboardItem" "\0"
  /*  1694 */ "ClonedErrorHolder" "\0"
  /*  1712 */ "CloseEvent" "\0"
  /*  1723 */ "CommandEvent" "\0"
  /*  1736 */ "Comment" "\0"
  /*  1744 */ "CompositionEvent" "\0"
  /*  1761 */ "ConsoleInstance" "\0"
  /*  1777 */ "ConstantSourceNode" "\0"
  /*  1796 */ "ContentFrameMessageManager" "\0"
  /*  1823 */ "ContentProcessMessageManager" "\0"
  /*  1852 */ "ConvolverNode" "\0"
  /*  1866 */ "CountQueuingStrategy" "\0"
  /*  1887 */ "CreateOfferRequest" "\0"
  /*  1906 */ "Credential" "\0"
  /*  1917 */ "CredentialsContainer" "\0"
  /*  1938 */ "Crypto" "\0"
  /*  1945 */ "CryptoKey" "\0"
  /*  1955 */ "CustomElementRegistry" "\0"
  /*  1977 */ "CustomEvent" "\0"
  /*  1989 */ "DOMException" "\0"
  /*  2002 */ "DOMImplementation" "\0"
  /*  2020 */ "DOMLocalization" "\0"
  /*  2036 */ "DOMMatrix" "\0"
  /*  2046 */ "DOMMatrixReadOnly" "\0"
  /*  2064 */ "DOMParser" "\0"
  /*  2074 */ "DOMPoint" "\0"
  /*  2083 */ "DOMPointReadOnly" "\0"
  /*  2100 */ "DOMQuad" "\0"
  /*  2108 */ "DOMRect" "\0"
  /*  2116 */ "DOMRectList" "\0"
  /*  2128 */ "DOMRectReadOnly" "\0"
  /*  2144 */ "DOMRequest" "\0"
  /*  2155 */ "DOMStringList" "\0"
  /*  2169 */ "DOMStringMap" "\0"
  /*  2182 */ "DOMTokenList" "\0"
  /*  2195 */ "DataTransfer" "\0"
  /*  2208 */ "DataTransferItem" "\0"
  /*  2225 */ "DataTransferItemList" "\0"
  /*  2246 */ "DebuggerNotification" "\0"
  /*  2267 */ "DebuggerNotificationObserver" "\0"
  /*  2296 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2323 */ "DelayNode" "\0"
  /*  2333 */ "DeprecationReportBody" "\0"
  /*  2355 */ "DeviceAcceleration" "\0"
  /*  2374 */ "DeviceLightEvent" "\0"
  /*  2391 */ "DeviceMotionEvent" "\0"
  /*  2409 */ "DeviceOrientationEvent" "\0"
  /*  2432 */ "DeviceRotationRate" "\0"
  /*  2451 */ "Directory" "\0"
  /*  2461 */ "Document" "\0"
  /*  2470 */ "DocumentFragment" "\0"
  /*  2487 */ "DocumentL10n" "\0"
  /*  2500 */ "DocumentTimeline" "\0"
  /*  2517 */ "DocumentType" "\0"
  /*  2530 */ "DominatorTree" "\0"
  /*  2544 */ "DragEvent" "\0"
  /*  2554 */ "DynamicsCompressorNode" "\0"
  /*  2577 */ "EXT_blend_minmax" "\0"
  /*  2594 */ "EXT_color_buffer_float" "\0"
  /*  2617 */ "EXT_color_buffer_half_float" "\0"
  /*  2645 */ "EXT_disjoint_timer_query" "\0"
  /*  2670 */ "EXT_float_blend" "\0"
  /*  2686 */ "EXT_frag_depth" "\0"
  /*  2701 */ "EXT_sRGB" "\0"
  /*  2710 */ "EXT_shader_texture_lod" "\0"
  /*  2733 */ "EXT_texture_compression_bptc" "\0"
  /*  2762 */ "EXT_texture_compression_rgtc" "\0"
  /*  2791 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2822 */ "EXT_texture_norm16" "\0"
  /*  2841 */ "Element" "\0"
  /*  2849 */ "ElementInternals" "\0"
  /*  2866 */ "ErrorEvent" "\0"
  /*  2877 */ "Event" "\0"
  /*  2883 */ "EventCallbackDebuggerNotification" "\0"
  /*  2917 */ "EventCounts" "\0"
  /*  2929 */ "EventSource" "\0"
  /*  2941 */ "EventTarget" "\0"
  /*  2953 */ "Exception" "\0"
  /*  2963 */ "ExtendableEvent" "\0"
  /*  2979 */ "ExtendableMessageEvent" "\0"
  /*  3002 */ "ExtensionAlarms" "\0"
  /*  3018 */ "ExtensionBrowser" "\0"
  /*  3035 */ "ExtensionEventManager" "\0"
  /*  3057 */ "ExtensionMockAPI" "\0"
  /*  3074 */ "ExtensionPort" "\0"
  /*  3088 */ "ExtensionRuntime" "\0"
  /*  3105 */ "ExtensionTest" "\0"
  /*  3119 */ "External" "\0"
  /*  3128 */ "FeaturePolicy" "\0"
  /*  3142 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3175 */ "FetchEvent" "\0"
  /*  3186 */ "FetchObserver" "\0"
  /*  3200 */ "File" "\0"
  /*  3205 */ "FileList" "\0"
  /*  3214 */ "FileReader" "\0"
  /*  3225 */ "FileReaderSync" "\0"
  /*  3240 */ "FileSystem" "\0"
  /*  3251 */ "FileSystemDirectoryEntry" "\0"
  /*  3276 */ "FileSystemDirectoryHandle" "\0"
  /*  3302 */ "FileSystemDirectoryIterator" "\0"
  /*  3330 */ "FileSystemDirectoryReader" "\0"
  /*  3356 */ "FileSystemEntry" "\0"
  /*  3372 */ "FileSystemFileEntry" "\0"
  /*  3392 */ "FileSystemFileHandle" "\0"
  /*  3413 */ "FileSystemHandle" "\0"
  /*  3430 */ "FileSystemSyncAccessHandle" "\0"
  /*  3457 */ "FileSystemWritableFileStream" "\0"
  /*  3486 */ "Flex" "\0"
  /*  3491 */ "FlexItemValues" "\0"
  /*  3506 */ "FlexLineValues" "\0"
  /*  3521 */ "FluentBundle" "\0"
  /*  3534 */ "FluentBundleAsyncIterator" "\0"
  /*  3560 */ "FluentBundleIterator" "\0"
  /*  3581 */ "FluentPattern" "\0"
  /*  3595 */ "FluentResource" "\0"
  /*  3610 */ "FocusEvent" "\0"
  /*  3621 */ "FontFace" "\0"
  /*  3630 */ "FontFaceSet" "\0"
  /*  3642 */ "FontFaceSetIterator" "\0"
  /*  3662 */ "FontFaceSetLoadEvent" "\0"
  /*  3683 */ "FormData" "\0"
  /*  3692 */ "FormData Iterator" "\0"
  /*  3710 */ "FormDataEvent" "\0"
  /*  3724 */ "FrameCrashedEvent" "\0"
  /*  3742 */ "FrameLoader" "\0"
  /*  3754 */ "GPU" "\0"
  /*  3758 */ "GPUAdapter" "\0"
  /*  3769 */ "GPUBindGroup" "\0"
  /*  3782 */ "GPUBindGroupLayout" "\0"
  /*  3801 */ "GPUBuffer" "\0"
  /*  3811 */ "GPUBufferUsage" "\0"
  /*  3826 */ "GPUCanvasContext" "\0"
  /*  3843 */ "GPUColorWrite" "\0"
  /*  3857 */ "GPUCommandBuffer" "\0"
  /*  3874 */ "GPUCommandEncoder" "\0"
  /*  3892 */ "GPUCompilationInfo" "\0"
  /*  3911 */ "GPUCompilationMessage" "\0"
  /*  3933 */ "GPUComputePassEncoder" "\0"
  /*  3955 */ "GPUComputePipeline" "\0"
  /*  3974 */ "GPUDevice" "\0"
  /*  3984 */ "GPUDeviceLostInfo" "\0"
  /*  4002 */ "GPUMapMode" "\0"
  /*  4013 */ "GPUOutOfMemoryError" "\0"
  /*  4033 */ "GPUPipelineLayout" "\0"
  /*  4051 */ "GPUQuerySet" "\0"
  /*  4063 */ "GPUQueue" "\0"
  /*  4072 */ "GPURenderBundle" "\0"
  /*  4088 */ "GPURenderBundleEncoder" "\0"
  /*  4111 */ "GPURenderPassEncoder" "\0"
  /*  4132 */ "GPURenderPipeline" "\0"
  /*  4150 */ "GPUSampler" "\0"
  /*  4161 */ "GPUShaderModule" "\0"
  /*  4177 */ "GPUShaderStage" "\0"
  /*  4192 */ "GPUSupportedFeatures" "\0"
  /*  4213 */ "GPUSupportedLimits" "\0"
  /*  4232 */ "GPUTexture" "\0"
  /*  4243 */ "GPUTextureUsage" "\0"
  /*  4259 */ "GPUTextureView" "\0"
  /*  4274 */ "GPUUncapturedErrorEvent" "\0"
  /*  4298 */ "GPUValidationError" "\0"
  /*  4317 */ "GainNode" "\0"
  /*  4326 */ "Gamepad" "\0"
  /*  4334 */ "GamepadAxisMoveEvent" "\0"
  /*  4355 */ "GamepadButton" "\0"
  /*  4369 */ "GamepadButtonEvent" "\0"
  /*  4388 */ "GamepadEvent" "\0"
  /*  4401 */ "GamepadHapticActuator" "\0"
  /*  4423 */ "GamepadLightIndicator" "\0"
  /*  4445 */ "GamepadPose" "\0"
  /*  4457 */ "GamepadServiceTest" "\0"
  /*  4476 */ "GamepadTouch" "\0"
  /*  4489 */ "Geolocation" "\0"
  /*  4501 */ "GeolocationCoordinates" "\0"
  /*  4524 */ "GeolocationPosition" "\0"
  /*  4544 */ "GeolocationPositionError" "\0"
  /*  4569 */ "GetUserMediaRequest" "\0"
  /*  4589 */ "GleanCategory" "\0"
  /*  4603 */ "GleanImpl" "\0"
  /*  4613 */ "GleanLabeled" "\0"
  /*  4626 */ "GleanPingsImpl" "\0"
  /*  4641 */ "Grid" "\0"
  /*  4646 */ "GridArea" "\0"
  /*  4655 */ "GridDimension" "\0"
  /*  4669 */ "GridLine" "\0"
  /*  4678 */ "GridLines" "\0"
  /*  4688 */ "GridTrack" "\0"
  /*  4698 */ "GridTracks" "\0"
  /*  4709 */ "HTMLAllCollection" "\0"
  /*  4727 */ "HTMLAnchorElement" "\0"
  /*  4745 */ "HTMLAreaElement" "\0"
  /*  4761 */ "HTMLAudioElement" "\0"
  /*  4778 */ "HTMLBRElement" "\0"
  /*  4792 */ "HTMLBaseElement" "\0"
  /*  4808 */ "HTMLBodyElement" "\0"
  /*  4824 */ "HTMLButtonElement" "\0"
  /*  4842 */ "HTMLCanvasElement" "\0"
  /*  4860 */ "HTMLCollection" "\0"
  /*  4875 */ "HTMLDListElement" "\0"
  /*  4892 */ "HTMLDataElement" "\0"
  /*  4908 */ "HTMLDataListElement" "\0"
  /*  4928 */ "HTMLDetailsElement" "\0"
  /*  4947 */ "HTMLDialogElement" "\0"
  /*  4965 */ "HTMLDirectoryElement" "\0"
  /*  4986 */ "HTMLDivElement" "\0"
  /*  5001 */ "HTMLDocument" "\0"
  /*  5014 */ "HTMLElement" "\0"
  /*  5026 */ "HTMLEmbedElement" "\0"
  /*  5043 */ "HTMLFieldSetElement" "\0"
  /*  5063 */ "HTMLFontElement" "\0"
  /*  5079 */ "HTMLFormControlsCollection" "\0"
  /*  5106 */ "HTMLFormElement" "\0"
  /*  5122 */ "HTMLFrameElement" "\0"
  /*  5139 */ "HTMLFrameSetElement" "\0"
  /*  5159 */ "HTMLHRElement" "\0"
  /*  5173 */ "HTMLHeadElement" "\0"
  /*  5189 */ "HTMLHeadingElement" "\0"
  /*  5208 */ "HTMLHtmlElement" "\0"
  /*  5224 */ "HTMLIFrameElement" "\0"
  /*  5242 */ "HTMLImageElement" "\0"
  /*  5259 */ "HTMLInputElement" "\0"
  /*  5276 */ "HTMLLIElement" "\0"
  /*  5290 */ "HTMLLabelElement" "\0"
  /*  5307 */ "HTMLLegendElement" "\0"
  /*  5325 */ "HTMLLinkElement" "\0"
  /*  5341 */ "HTMLMapElement" "\0"
  /*  5356 */ "HTMLMarqueeElement" "\0"
  /*  5375 */ "HTMLMediaElement" "\0"
  /*  5392 */ "HTMLMenuElement" "\0"
  /*  5408 */ "HTMLMenuItemElement" "\0"
  /*  5428 */ "HTMLMetaElement" "\0"
  /*  5444 */ "HTMLMeterElement" "\0"
  /*  5461 */ "HTMLModElement" "\0"
  /*  5476 */ "HTMLOListElement" "\0"
  /*  5493 */ "HTMLObjectElement" "\0"
  /*  5511 */ "HTMLOptGroupElement" "\0"
  /*  5531 */ "HTMLOptionElement" "\0"
  /*  5549 */ "HTMLOptionsCollection" "\0"
  /*  5571 */ "HTMLOutputElement" "\0"
  /*  5589 */ "HTMLParagraphElement" "\0"
  /*  5610 */ "HTMLParamElement" "\0"
  /*  5627 */ "HTMLPictureElement" "\0"
  /*  5646 */ "HTMLPreElement" "\0"
  /*  5661 */ "HTMLProgressElement" "\0"
  /*  5681 */ "HTMLQuoteElement" "\0"
  /*  5698 */ "HTMLScriptElement" "\0"
  /*  5716 */ "HTMLSelectElement" "\0"
  /*  5734 */ "HTMLSlotElement" "\0"
  /*  5750 */ "HTMLSourceElement" "\0"
  /*  5768 */ "HTMLSpanElement" "\0"
  /*  5784 */ "HTMLStyleElement" "\0"
  /*  5801 */ "HTMLTableCaptionElement" "\0"
  /*  5825 */ "HTMLTableCellElement" "\0"
  /*  5846 */ "HTMLTableColElement" "\0"
  /*  5866 */ "HTMLTableElement" "\0"
  /*  5883 */ "HTMLTableRowElement" "\0"
  /*  5903 */ "HTMLTableSectionElement" "\0"
  /*  5927 */ "HTMLTemplateElement" "\0"
  /*  5947 */ "HTMLTextAreaElement" "\0"
  /*  5967 */ "HTMLTimeElement" "\0"
  /*  5983 */ "HTMLTitleElement" "\0"
  /*  6000 */ "HTMLTrackElement" "\0"
  /*  6017 */ "HTMLUListElement" "\0"
  /*  6034 */ "HTMLUnknownElement" "\0"
  /*  6053 */ "HTMLVideoElement" "\0"
  /*  6070 */ "HashChangeEvent" "\0"
  /*  6086 */ "Headers" "\0"
  /*  6094 */ "Headers Iterator" "\0"
  /*  6111 */ "HeapSnapshot" "\0"
  /*  6124 */ "History" "\0"
  /*  6132 */ "IDBCursor" "\0"
  /*  6142 */ "IDBCursorWithValue" "\0"
  /*  6161 */ "IDBDatabase" "\0"
  /*  6173 */ "IDBFactory" "\0"
  /*  6184 */ "IDBFileHandle" "\0"
  /*  6198 */ "IDBFileRequest" "\0"
  /*  6213 */ "IDBIndex" "\0"
  /*  6222 */ "IDBKeyRange" "\0"
  /*  6234 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6257 */ "IDBMutableFile" "\0"
  /*  6272 */ "IDBObjectStore" "\0"
  /*  6287 */ "IDBOpenDBRequest" "\0"
  /*  6304 */ "IDBRequest" "\0"
  /*  6315 */ "IDBTransaction" "\0"
  /*  6330 */ "IDBVersionChangeEvent" "\0"
  /*  6352 */ "IIRFilterNode" "\0"
  /*  6366 */ "IOUtils" "\0"
  /*  6374 */ "IdleDeadline" "\0"
  /*  6387 */ "Image" "\0"
  /*  6393 */ "ImageBitmap" "\0"
  /*  6405 */ "ImageBitmapRenderingContext" "\0"
  /*  6433 */ "ImageCapture" "\0"
  /*  6446 */ "ImageCaptureError" "\0"
  /*  6464 */ "ImageCaptureErrorEvent" "\0"
  /*  6487 */ "ImageData" "\0"
  /*  6497 */ "ImageDocument" "\0"
  /*  6511 */ "InputEvent" "\0"
  /*  6522 */ "InspectorFontFace" "\0"
  /*  6540 */ "InspectorUtils" "\0"
  /*  6555 */ "InstallTriggerImpl" "\0"
  /*  6574 */ "IntersectionObserver" "\0"
  /*  6595 */ "IntersectionObserverEntry" "\0"
  /*  6621 */ "IntlUtils" "\0"
  /*  6631 */ "JSProcessActorChild" "\0"
  /*  6651 */ "JSProcessActorParent" "\0"
  /*  6672 */ "JSWindowActorChild" "\0"
  /*  6691 */ "JSWindowActorParent" "\0"
  /*  6711 */ "KeyEvent" "\0"
  /*  6720 */ "KeyboardEvent" "\0"
  /*  6734 */ "KeyframeEffect" "\0"
  /*  6749 */ "L10nFileSource" "\0"
  /*  6764 */ "L10nOverlays" "\0"
  /*  6777 */ "L10nRegistry" "\0"
  /*  6790 */ "LegacyMozTCPSocket" "\0"
  /*  6809 */ "Localization" "\0"
  /*  6822 */ "Location" "\0"
  /*  6831 */ "Lock" "\0"
  /*  6836 */ "LockManager" "\0"
  /*  6848 */ "MIDIAccess" "\0"
  /*  6859 */ "MIDIConnectionEvent" "\0"
  /*  6879 */ "MIDIInput" "\0"
  /*  6889 */ "MIDIInputMap" "\0"
  /*  6902 */ "MIDIMessageEvent" "\0"
  /*  6919 */ "MIDIOutput" "\0"
  /*  6930 */ "MIDIOutputMap" "\0"
  /*  6944 */ "MIDIPort" "\0"
  /*  6953 */ "MOZ_debug" "\0"
  /*  6963 */ "MatchGlob" "\0"
  /*  6973 */ "MatchPattern" "\0"
  /*  6986 */ "MatchPatternSet" "\0"
  /*  7002 */ "MathMLElement" "\0"
  /*  7016 */ "MediaCapabilities" "\0"
  /*  7034 */ "MediaCapabilitiesInfo" "\0"
  /*  7056 */ "MediaControlService" "\0"
  /*  7076 */ "MediaController" "\0"
  /*  7092 */ "MediaDeviceInfo" "\0"
  /*  7108 */ "MediaDevices" "\0"
  /*  7121 */ "MediaElementAudioSourceNode" "\0"
  /*  7149 */ "MediaEncryptedEvent" "\0"
  /*  7169 */ "MediaError" "\0"
  /*  7180 */ "MediaKeyError" "\0"
  /*  7194 */ "MediaKeyMessageEvent" "\0"
  /*  7215 */ "MediaKeySession" "\0"
  /*  7231 */ "MediaKeyStatusMap" "\0"
  /*  7249 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7276 */ "MediaKeySystemAccess" "\0"
  /*  7297 */ "MediaKeys" "\0"
  /*  7307 */ "MediaList" "\0"
  /*  7317 */ "MediaMetadata" "\0"
  /*  7331 */ "MediaQueryList" "\0"
  /*  7346 */ "MediaQueryListEvent" "\0"
  /*  7366 */ "MediaRecorder" "\0"
  /*  7380 */ "MediaRecorderErrorEvent" "\0"
  /*  7404 */ "MediaSession" "\0"
  /*  7417 */ "MediaSource" "\0"
  /*  7429 */ "MediaStream" "\0"
  /*  7441 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7473 */ "MediaStreamAudioSourceNode" "\0"
  /*  7500 */ "MediaStreamError" "\0"
  /*  7517 */ "MediaStreamEvent" "\0"
  /*  7534 */ "MediaStreamTrack" "\0"
  /*  7551 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7583 */ "MediaStreamTrackEvent" "\0"
  /*  7605 */ "MerchantValidationEvent" "\0"
  /*  7629 */ "MessageBroadcaster" "\0"
  /*  7648 */ "MessageChannel" "\0"
  /*  7663 */ "MessageEvent" "\0"
  /*  7676 */ "MessageListenerManager" "\0"
  /*  7699 */ "MessagePort" "\0"
  /*  7711 */ "MessageSender" "\0"
  /*  7725 */ "MimeType" "\0"
  /*  7734 */ "MimeTypeArray" "\0"
  /*  7748 */ "MouseEvent" "\0"
  /*  7759 */ "MouseScrollEvent" "\0"
  /*  7776 */ "MozCanvasPrintState" "\0"
  /*  7796 */ "MozDocumentMatcher" "\0"
  /*  7815 */ "MozDocumentObserver" "\0"
  /*  7835 */ "MozQueryInterface" "\0"
  /*  7853 */ "MozSharedMap" "\0"
  /*  7866 */ "MozSharedMap Iterator" "\0"
  /*  7888 */ "MozSharedMapChangeEvent" "\0"
  /*  7912 */ "MozStorageAsyncStatementParams" "\0"
  /*  7943 */ "MozStorageStatementParams" "\0"
  /*  7969 */ "MozStorageStatementRow" "\0"
  /*  7992 */ "MozWritableSharedMap" "\0"
  /*  8013 */ "MutationEvent" "\0"
  /*  8027 */ "MutationObserver" "\0"
  /*  8044 */ "MutationRecord" "\0"
  /*  8059 */ "NamedNodeMap" "\0"
  /*  8072 */ "NavigationPreloadManager" "\0"
  /*  8097 */ "Navigator" "\0"
  /*  8107 */ "NetworkInformation" "\0"
  /*  8126 */ "Node" "\0"
  /*  8131 */ "NodeFilter" "\0"
  /*  8142 */ "NodeIterator" "\0"
  /*  8155 */ "NodeList" "\0"
  /*  8164 */ "Notification" "\0"
  /*  8177 */ "NotificationEvent" "\0"
  /*  8195 */ "NotifyPaintEvent" "\0"
  /*  8212 */ "OES_draw_buffers_indexed" "\0"
  /*  8237 */ "OES_element_index_uint" "\0"
  /*  8260 */ "OES_fbo_render_mipmap" "\0"
  /*  8282 */ "OES_standard_derivatives" "\0"
  /*  8307 */ "OES_texture_float" "\0"
  /*  8325 */ "OES_texture_float_linear" "\0"
  /*  8350 */ "OES_texture_half_float" "\0"
  /*  8373 */ "OES_texture_half_float_linear" "\0"
  /*  8403 */ "OES_vertex_array_object" "\0"
  /*  8427 */ "OVR_multiview2" "\0"
  /*  8442 */ "OfflineAudioCompletionEvent" "\0"
  /*  8470 */ "OfflineAudioContext" "\0"
  /*  8490 */ "OfflineResourceList" "\0"
  /*  8510 */ "OffscreenCanvas" "\0"
  /*  8526 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8560 */ "OnlyForUseInConstructor" "\0"
  /*  8584 */ "Option" "\0"
  /*  8591 */ "OscillatorNode" "\0"
  /*  8606 */ "PageTransitionEvent" "\0"
  /*  8626 */ "PaintRequest" "\0"
  /*  8639 */ "PaintRequestList" "\0"
  /*  8656 */ "PaintWorkletGlobalScope" "\0"
  /*  8680 */ "PannerNode" "\0"
  /*  8691 */ "ParentProcessMessageManager" "\0"
  /*  8719 */ "Path2D" "\0"
  /*  8726 */ "PathUtils" "\0"
  /*  8736 */ "PaymentAddress" "\0"
  /*  8751 */ "PaymentMethodChangeEvent" "\0"
  /*  8776 */ "PaymentRequest" "\0"
  /*  8791 */ "PaymentRequestUpdateEvent" "\0"
  /*  8817 */ "PaymentResponse" "\0"
  /*  8833 */ "PeerConnectionImpl" "\0"
  /*  8852 */ "PeerConnectionObserver" "\0"
  /*  8875 */ "Performance" "\0"
  /*  8887 */ "PerformanceEntry" "\0"
  /*  8904 */ "PerformanceEntryEvent" "\0"
  /*  8926 */ "PerformanceEventTiming" "\0"
  /*  8949 */ "PerformanceMark" "\0"
  /*  8965 */ "PerformanceMeasure" "\0"
  /*  8984 */ "PerformanceNavigation" "\0"
  /*  9006 */ "PerformanceNavigationTiming" "\0"
  /*  9034 */ "PerformanceObserver" "\0"
  /*  9054 */ "PerformanceObserverEntryList" "\0"
  /*  9083 */ "PerformancePaintTiming" "\0"
  /*  9106 */ "PerformanceResourceTiming" "\0"
  /*  9132 */ "PerformanceServerTiming" "\0"
  /*  9156 */ "PerformanceTiming" "\0"
  /*  9174 */ "PeriodicWave" "\0"
  /*  9187 */ "PermissionStatus" "\0"
  /*  9204 */ "Permissions" "\0"
  /*  9216 */ "PlacesBookmark" "\0"
  /*  9231 */ "PlacesBookmarkAddition" "\0"
  /*  9254 */ "PlacesBookmarkChanged" "\0"
  /*  9276 */ "PlacesBookmarkGuid" "\0"
  /*  9295 */ "PlacesBookmarkMoved" "\0"
  /*  9315 */ "PlacesBookmarkRemoved" "\0"
  /*  9337 */ "PlacesBookmarkTags" "\0"
  /*  9356 */ "PlacesBookmarkTime" "\0"
  /*  9375 */ "PlacesBookmarkTitle" "\0"
  /*  9395 */ "PlacesBookmarkUrl" "\0"
  /*  9413 */ "PlacesEvent" "\0"
  /*  9425 */ "PlacesFavicon" "\0"
  /*  9439 */ "PlacesHistoryCleared" "\0"
  /*  9460 */ "PlacesObservers" "\0"
  /*  9476 */ "PlacesPurgeCaches" "\0"
  /*  9494 */ "PlacesRanking" "\0"
  /*  9508 */ "PlacesVisit" "\0"
  /*  9520 */ "PlacesVisitRemoved" "\0"
  /*  9539 */ "PlacesVisitTitle" "\0"
  /*  9556 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9582 */ "Plugin" "\0"
  /*  9589 */ "PluginArray" "\0"
  /*  9601 */ "PluginCrashedEvent" "\0"
  /*  9620 */ "PointerEvent" "\0"
  /*  9633 */ "PopStateEvent" "\0"
  /*  9647 */ "PopupBlockedEvent" "\0"
  /*  9665 */ "PopupPositionedEvent" "\0"
  /*  9686 */ "PositionStateEvent" "\0"
  /*  9705 */ "PrecompiledScript" "\0"
  /*  9723 */ "PrioEncoder" "\0"
  /*  9735 */ "ProcessMessageManager" "\0"
  /*  9757 */ "ProcessingInstruction" "\0"
  /*  9779 */ "ProgressEvent" "\0"
  /*  9793 */ "PromiseDebugging" "\0"
  /*  9810 */ "PromiseNativeHandler" "\0"
  /*  9831 */ "PromiseRejectionEvent" "\0"
  /*  9853 */ "PublicKeyCredential" "\0"
  /*  9873 */ "PushEvent" "\0"
  /*  9883 */ "PushManager" "\0"
  /*  9895 */ "PushManagerImpl" "\0"
  /*  9911 */ "PushMessageData" "\0"
  /*  9927 */ "PushSubscription" "\0"
  /*  9944 */ "PushSubscriptionOptions" "\0"
  /*  9968 */ "RTCCertificate" "\0"
  /*  9983 */ "RTCDTMFSender" "\0"
  /*  9997 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10020 */ "RTCDataChannel" "\0"
  /* 10035 */ "RTCDataChannelEvent" "\0"
  /* 10055 */ "RTCDtlsTransport" "\0"
  /* 10072 */ "RTCIceCandidate" "\0"
  /* 10088 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10117 */ "RTCPeerConnection" "\0"
  /* 10135 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10161 */ "RTCPeerConnectionStatic" "\0"
  /* 10185 */ "RTCRtpReceiver" "\0"
  /* 10200 */ "RTCRtpSender" "\0"
  /* 10213 */ "RTCRtpTransceiver" "\0"
  /* 10231 */ "RTCSessionDescription" "\0"
  /* 10253 */ "RTCStatsReport" "\0"
  /* 10268 */ "RTCTrackEvent" "\0"
  /* 10282 */ "RadioNodeList" "\0"
  /* 10296 */ "Range" "\0"
  /* 10302 */ "ReadableByteStreamController" "\0"
  /* 10331 */ "ReadableStream" "\0"
  /* 10346 */ "ReadableStreamBYOBReader" "\0"
  /* 10371 */ "ReadableStreamBYOBRequest" "\0"
  /* 10397 */ "ReadableStreamDefaultController" "\0"
  /* 10429 */ "ReadableStreamDefaultReader" "\0"
  /* 10457 */ "Report" "\0"
  /* 10464 */ "ReportBody" "\0"
  /* 10475 */ "ReportingObserver" "\0"
  /* 10493 */ "Request" "\0"
  /* 10501 */ "ResizeObserver" "\0"
  /* 10516 */ "ResizeObserverEntry" "\0"
  /* 10536 */ "ResizeObserverSize" "\0"
  /* 10555 */ "Response" "\0"
  /* 10564 */ "SVGAElement" "\0"
  /* 10576 */ "SVGAngle" "\0"
  /* 10585 */ "SVGAnimateElement" "\0"
  /* 10603 */ "SVGAnimateMotionElement" "\0"
  /* 10627 */ "SVGAnimateTransformElement" "\0"
  /* 10654 */ "SVGAnimatedAngle" "\0"
  /* 10671 */ "SVGAnimatedBoolean" "\0"
  /* 10690 */ "SVGAnimatedEnumeration" "\0"
  /* 10713 */ "SVGAnimatedInteger" "\0"
  /* 10732 */ "SVGAnimatedLength" "\0"
  /* 10750 */ "SVGAnimatedLengthList" "\0"
  /* 10772 */ "SVGAnimatedNumber" "\0"
  /* 10790 */ "SVGAnimatedNumberList" "\0"
  /* 10812 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10843 */ "SVGAnimatedRect" "\0"
  /* 10859 */ "SVGAnimatedString" "\0"
  /* 10877 */ "SVGAnimatedTransformList" "\0"
  /* 10902 */ "SVGAnimationElement" "\0"
  /* 10922 */ "SVGCircleElement" "\0"
  /* 10939 */ "SVGClipPathElement" "\0"
  /* 10958 */ "SVGComponentTransferFunctionElement" "\0"
  /* 10994 */ "SVGDefsElement" "\0"
  /* 11009 */ "SVGDescElement" "\0"
  /* 11024 */ "SVGElement" "\0"
  /* 11035 */ "SVGEllipseElement" "\0"
  /* 11053 */ "SVGFEBlendElement" "\0"
  /* 11071 */ "SVGFEColorMatrixElement" "\0"
  /* 11095 */ "SVGFEComponentTransferElement" "\0"
  /* 11125 */ "SVGFECompositeElement" "\0"
  /* 11147 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11174 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11202 */ "SVGFEDisplacementMapElement" "\0"
  /* 11230 */ "SVGFEDistantLightElement" "\0"
  /* 11255 */ "SVGFEDropShadowElement" "\0"
  /* 11278 */ "SVGFEFloodElement" "\0"
  /* 11296 */ "SVGFEFuncAElement" "\0"
  /* 11314 */ "SVGFEFuncBElement" "\0"
  /* 11332 */ "SVGFEFuncGElement" "\0"
  /* 11350 */ "SVGFEFuncRElement" "\0"
  /* 11368 */ "SVGFEGaussianBlurElement" "\0"
  /* 11393 */ "SVGFEImageElement" "\0"
  /* 11411 */ "SVGFEMergeElement" "\0"
  /* 11429 */ "SVGFEMergeNodeElement" "\0"
  /* 11451 */ "SVGFEMorphologyElement" "\0"
  /* 11474 */ "SVGFEOffsetElement" "\0"
  /* 11493 */ "SVGFEPointLightElement" "\0"
  /* 11516 */ "SVGFESpecularLightingElement" "\0"
  /* 11545 */ "SVGFESpotLightElement" "\0"
  /* 11567 */ "SVGFETileElement" "\0"
  /* 11584 */ "SVGFETurbulenceElement" "\0"
  /* 11607 */ "SVGFilterElement" "\0"
  /* 11624 */ "SVGForeignObjectElement" "\0"
  /* 11648 */ "SVGGElement" "\0"
  /* 11660 */ "SVGGeometryElement" "\0"
  /* 11679 */ "SVGGradientElement" "\0"
  /* 11698 */ "SVGGraphicsElement" "\0"
  /* 11717 */ "SVGImageElement" "\0"
  /* 11733 */ "SVGLength" "\0"
  /* 11743 */ "SVGLengthList" "\0"
  /* 11757 */ "SVGLineElement" "\0"
  /* 11772 */ "SVGLinearGradientElement" "\0"
  /* 11797 */ "SVGMPathElement" "\0"
  /* 11813 */ "SVGMarkerElement" "\0"
  /* 11830 */ "SVGMaskElement" "\0"
  /* 11845 */ "SVGMatrix" "\0"
  /* 11855 */ "SVGMetadataElement" "\0"
  /* 11874 */ "SVGNumber" "\0"
  /* 11884 */ "SVGNumberList" "\0"
  /* 11898 */ "SVGPathElement" "\0"
  /* 11913 */ "SVGPathSeg" "\0"
  /* 11924 */ "SVGPathSegArcAbs" "\0"
  /* 11941 */ "SVGPathSegArcRel" "\0"
  /* 11958 */ "SVGPathSegClosePath" "\0"
  /* 11978 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12004 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12030 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12062 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12094 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12124 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12154 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12190 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12226 */ "SVGPathSegLinetoAbs" "\0"
  /* 12246 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12276 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12306 */ "SVGPathSegLinetoRel" "\0"
  /* 12326 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12354 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12382 */ "SVGPathSegList" "\0"
  /* 12397 */ "SVGPathSegMovetoAbs" "\0"
  /* 12417 */ "SVGPathSegMovetoRel" "\0"
  /* 12437 */ "SVGPatternElement" "\0"
  /* 12455 */ "SVGPoint" "\0"
  /* 12464 */ "SVGPointList" "\0"
  /* 12477 */ "SVGPolygonElement" "\0"
  /* 12495 */ "SVGPolylineElement" "\0"
  /* 12514 */ "SVGPreserveAspectRatio" "\0"
  /* 12537 */ "SVGRadialGradientElement" "\0"
  /* 12562 */ "SVGRect" "\0"
  /* 12570 */ "SVGRectElement" "\0"
  /* 12585 */ "SVGSVGElement" "\0"
  /* 12599 */ "SVGScriptElement" "\0"
  /* 12616 */ "SVGSetElement" "\0"
  /* 12630 */ "SVGStopElement" "\0"
  /* 12645 */ "SVGStringList" "\0"
  /* 12659 */ "SVGStyleElement" "\0"
  /* 12675 */ "SVGSwitchElement" "\0"
  /* 12692 */ "SVGSymbolElement" "\0"
  /* 12709 */ "SVGTSpanElement" "\0"
  /* 12725 */ "SVGTextContentElement" "\0"
  /* 12747 */ "SVGTextElement" "\0"
  /* 12762 */ "SVGTextPathElement" "\0"
  /* 12781 */ "SVGTextPositioningElement" "\0"
  /* 12807 */ "SVGTitleElement" "\0"
  /* 12823 */ "SVGTransform" "\0"
  /* 12836 */ "SVGTransformList" "\0"
  /* 12853 */ "SVGUnitTypes" "\0"
  /* 12866 */ "SVGUseElement" "\0"
  /* 12880 */ "SVGViewElement" "\0"
  /* 12895 */ "Sanitizer" "\0"
  /* 12905 */ "Screen" "\0"
  /* 12912 */ "ScreenLuminance" "\0"
  /* 12928 */ "ScreenOrientation" "\0"
  /* 12946 */ "ScriptProcessorNode" "\0"
  /* 12966 */ "ScrollAreaEvent" "\0"
  /* 12982 */ "ScrollViewChangeEvent" "\0"
  /* 13004 */ "SecurityPolicyViolationEvent" "\0"
  /* 13033 */ "Selection" "\0"
  /* 13043 */ "ServiceWorker" "\0"
  /* 13057 */ "ServiceWorkerContainer" "\0"
  /* 13080 */ "ServiceWorkerGlobalScope" "\0"
  /* 13105 */ "ServiceWorkerRegistration" "\0"
  /* 13131 */ "SessionStoreUtils" "\0"
  /* 13149 */ "ShadowRoot" "\0"
  /* 13160 */ "SharedWorker" "\0"
  /* 13173 */ "SharedWorkerGlobalScope" "\0"
  /* 13197 */ "SimpleGestureEvent" "\0"
  /* 13216 */ "SourceBuffer" "\0"
  /* 13229 */ "SourceBufferList" "\0"
  /* 13246 */ "SpeechGrammar" "\0"
  /* 13260 */ "SpeechGrammarList" "\0"
  /* 13278 */ "SpeechRecognition" "\0"
  /* 13296 */ "SpeechRecognitionAlternative" "\0"
  /* 13325 */ "SpeechRecognitionError" "\0"
  /* 13348 */ "SpeechRecognitionEvent" "\0"
  /* 13371 */ "SpeechRecognitionResult" "\0"
  /* 13395 */ "SpeechRecognitionResultList" "\0"
  /* 13423 */ "SpeechSynthesis" "\0"
  /* 13439 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13465 */ "SpeechSynthesisEvent" "\0"
  /* 13486 */ "SpeechSynthesisUtterance" "\0"
  /* 13511 */ "SpeechSynthesisVoice" "\0"
  /* 13532 */ "StaticRange" "\0"
  /* 13544 */ "StereoPannerNode" "\0"
  /* 13561 */ "Storage" "\0"
  /* 13569 */ "StorageEvent" "\0"
  /* 13582 */ "StorageManager" "\0"
  /* 13597 */ "StreamFilter" "\0"
  /* 13610 */ "StreamFilterDataEvent" "\0"
  /* 13632 */ "StructuredCloneHolder" "\0"
  /* 13654 */ "StructuredCloneTester" "\0"
  /* 13676 */ "StyleSheet" "\0"
  /* 13687 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13724 */ "StyleSheetList" "\0"
  /* 13739 */ "SubmitEvent" "\0"
  /* 13751 */ "SubtleCrypto" "\0"
  /* 13764 */ "SyncMessageSender" "\0"
  /* 13782 */ "SyncReadFile" "\0"
  /* 13795 */ "TCPServerSocket" "\0"
  /* 13811 */ "TCPServerSocketEvent" "\0"
  /* 13832 */ "TCPSocket" "\0"
  /* 13842 */ "TCPSocketErrorEvent" "\0"
  /* 13862 */ "TCPSocketEvent" "\0"
  /* 13877 */ "TelemetryStopwatch" "\0"
  /* 13896 */ "TestAttributesOnTypes" "\0"
  /* 13918 */ "TestCEReactionsInterface" "\0"
  /* 13943 */ "TestCImplementedInterface" "\0"
  /* 13969 */ "TestCImplementedInterface2" "\0"
  /* 13996 */ "TestChildInterface" "\0"
  /* 14015 */ "TestConstructorForFuncInterface" "\0"
  /* 14047 */ "TestConstructorForPrefInterface" "\0"
  /* 14079 */ "TestConstructorForSCInterface" "\0"
  /* 14109 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 14145 */ "TestDeprecatedInterface" "\0"
  /* 14169 */ "TestExampleInterface" "\0"
  /* 14190 */ "TestExampleProxyInterface" "\0"
  /* 14216 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 14256 */ "TestExampleWorkerInterface" "\0"
  /* 14283 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 14328 */ "TestFuncConstructorForInterface" "\0"
  /* 14360 */ "TestHTMLConstructorInterface" "\0"
  /* 14389 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 14433 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 14468 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 14503 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 14553 */ "TestIndexedGetterInterface" "\0"
  /* 14580 */ "TestIndexedSetterInterface" "\0"
  /* 14607 */ "TestInterface" "\0"
  /* 14621 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 14660 */ "TestJSImplInterface" "\0"
  /* 14680 */ "TestJSImplInterface2" "\0"
  /* 14701 */ "TestJSImplInterface3" "\0"
  /* 14722 */ "TestJSImplInterface4" "\0"
  /* 14743 */ "TestJSImplInterface5" "\0"
  /* 14764 */ "TestJSImplInterface6" "\0"
  /* 14785 */ "TestJSImplNoInterfaceObject" "\0"
  /* 14813 */ "TestNamedDeleterInterface" "\0"
  /* 14839 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 14875 */ "TestNamedGetterInterface" "\0"
  /* 14900 */ "TestNamedSetterInterface" "\0"
  /* 14925 */ "TestNamespace" "\0"
  /* 14939 */ "TestNonWrapperCacheInterface" "\0"
  /* 14968 */ "TestParentInterface" "\0"
  /* 14988 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15036 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 15081 */ "TestPrefConstructorForInterface" "\0"
  /* 15113 */ "TestProtoObjectHackedNamespace" "\0"
  /* 15144 */ "TestRenamedInterface" "\0"
  /* 15165 */ "TestRenamedNamespace" "\0"
  /* 15186 */ "TestSCConstructorForInterface" "\0"
  /* 15216 */ "TestSecureContextInterface" "\0"
  /* 15243 */ "TestThrowingConstructorInterface" "\0"
  /* 15276 */ "TestUtils" "\0"
  /* 15286 */ "TestWorkerExposedInterface" "\0"
  /* 15313 */ "TestingDeprecatedInterface" "\0"
  /* 15340 */ "Text" "\0"
  /* 15345 */ "TextClause" "\0"
  /* 15356 */ "TextDecoder" "\0"
  /* 15368 */ "TextEncoder" "\0"
  /* 15380 */ "TextMetrics" "\0"
  /* 15392 */ "TextTrack" "\0"
  /* 15402 */ "TextTrackCue" "\0"
  /* 15415 */ "TextTrackCueList" "\0"
  /* 15432 */ "TextTrackList" "\0"
  /* 15446 */ "TimeEvent" "\0"
  /* 15456 */ "TimeRanges" "\0"
  /* 15467 */ "Touch" "\0"
  /* 15473 */ "TouchEvent" "\0"
  /* 15484 */ "TouchList" "\0"
  /* 15494 */ "TrackEvent" "\0"
  /* 15505 */ "TransceiverImpl" "\0"
  /* 15521 */ "TransformStream" "\0"
  /* 15537 */ "TransformStreamDefaultController" "\0"
  /* 15570 */ "TransitionEvent" "\0"
  /* 15586 */ "TreeColumn" "\0"
  /* 15597 */ "TreeColumns" "\0"
  /* 15609 */ "TreeContentView" "\0"
  /* 15625 */ "TreeWalker" "\0"
  /* 15636 */ "U2F" "\0"
  /* 15640 */ "UDPMessageEvent" "\0"
  /* 15656 */ "UDPSocket" "\0"
  /* 15666 */ "UIEvent" "\0"
  /* 15674 */ "URL" "\0"
  /* 15678 */ "URLSearchParams" "\0"
  /* 15694 */ "URLSearchParams Iterator" "\0"
  /* 15719 */ "UserInteraction" "\0"
  /* 15735 */ "UserProximityEvent" "\0"
  /* 15754 */ "VRDisplay" "\0"
  /* 15764 */ "VRDisplayCapabilities" "\0"
  /* 15786 */ "VRDisplayEvent" "\0"
  /* 15801 */ "VREyeParameters" "\0"
  /* 15817 */ "VRFieldOfView" "\0"
  /* 15831 */ "VRFrameData" "\0"
  /* 15843 */ "VRMockController" "\0"
  /* 15860 */ "VRMockDisplay" "\0"
  /* 15874 */ "VRPose" "\0"
  /* 15881 */ "VRServiceTest" "\0"
  /* 15895 */ "VRStageParameters" "\0"
  /* 15913 */ "VTTCue" "\0"
  /* 15920 */ "VTTRegion" "\0"
  /* 15930 */ "ValidityState" "\0"
  /* 15944 */ "VideoPlaybackQuality" "\0"
  /* 15965 */ "VideoTrack" "\0"
  /* 15976 */ "VideoTrackList" "\0"
  /* 15991 */ "VisualViewport" "\0"
  /* 16006 */ "WEBGL_color_buffer_float" "\0"
  /* 16031 */ "WEBGL_compressed_texture_astc" "\0"
  /* 16061 */ "WEBGL_compressed_texture_etc" "\0"
  /* 16090 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 16120 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 16151 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 16181 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16216 */ "WEBGL_debug_renderer_info" "\0"
  /* 16242 */ "WEBGL_debug_shaders" "\0"
  /* 16262 */ "WEBGL_depth_texture" "\0"
  /* 16282 */ "WEBGL_draw_buffers" "\0"
  /* 16301 */ "WEBGL_explicit_present" "\0"
  /* 16324 */ "WEBGL_lose_context" "\0"
  /* 16343 */ "WaveShaperNode" "\0"
  /* 16358 */ "WebExtensionContentScript" "\0"
  /* 16384 */ "WebExtensionPolicy" "\0"
  /* 16403 */ "WebGL2RenderingContext" "\0"
  /* 16426 */ "WebGLActiveInfo" "\0"
  /* 16442 */ "WebGLBuffer" "\0"
  /* 16454 */ "WebGLContextEvent" "\0"
  /* 16472 */ "WebGLFramebuffer" "\0"
  /* 16489 */ "WebGLProgram" "\0"
  /* 16502 */ "WebGLQuery" "\0"
  /* 16513 */ "WebGLRenderbuffer" "\0"
  /* 16531 */ "WebGLRenderingContext" "\0"
  /* 16553 */ "WebGLSampler" "\0"
  /* 16566 */ "WebGLShader" "\0"
  /* 16578 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16605 */ "WebGLSync" "\0"
  /* 16615 */ "WebGLTexture" "\0"
  /* 16628 */ "WebGLTransformFeedback" "\0"
  /* 16651 */ "WebGLUniformLocation" "\0"
  /* 16672 */ "WebGLVertexArrayObject" "\0"
  /* 16695 */ "WebKitCSSMatrix" "\0"
  /* 16711 */ "WebSocket" "\0"
  /* 16721 */ "WebrtcGlobalInformation" "\0"
  /* 16745 */ "WheelEvent" "\0"
  /* 16756 */ "Window" "\0"
  /* 16763 */ "WindowClient" "\0"
  /* 16776 */ "WindowContext" "\0"
  /* 16790 */ "WindowGlobalChild" "\0"
  /* 16808 */ "WindowGlobalParent" "\0"
  /* 16827 */ "WindowRoot" "\0"
  /* 16838 */ "Worker" "\0"
  /* 16845 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16871 */ "WorkerGlobalScope" "\0"
  /* 16889 */ "WorkerLocation" "\0"
  /* 16904 */ "WorkerNavigator" "\0"
  /* 16920 */ "WorkerTestUtils" "\0"
  /* 16936 */ "Worklet" "\0"
  /* 16944 */ "WorkletGlobalScope" "\0"
  /* 16963 */ "WritableStream" "\0"
  /* 16978 */ "WritableStreamDefaultController" "\0"
  /* 17010 */ "WritableStreamDefaultWriter" "\0"
  /* 17038 */ "XMLDocument" "\0"
  /* 17050 */ "XMLHttpRequest" "\0"
  /* 17065 */ "XMLHttpRequestEventTarget" "\0"
  /* 17091 */ "XMLHttpRequestUpload" "\0"
  /* 17112 */ "XMLSerializer" "\0"
  /* 17126 */ "XPathEvaluator" "\0"
  /* 17141 */ "XPathExpression" "\0"
  /* 17157 */ "XPathResult" "\0"
  /* 17169 */ "XRBoundedReferenceSpace" "\0"
  /* 17193 */ "XRFrame" "\0"
  /* 17201 */ "XRInputSource" "\0"
  /* 17215 */ "XRInputSourceArray" "\0"
  /* 17234 */ "XRInputSourceEvent" "\0"
  /* 17253 */ "XRInputSourcesChangeEvent" "\0"
  /* 17279 */ "XRPose" "\0"
  /* 17286 */ "XRReferenceSpace" "\0"
  /* 17303 */ "XRReferenceSpaceEvent" "\0"
  /* 17325 */ "XRRenderState" "\0"
  /* 17339 */ "XRRigidTransform" "\0"
  /* 17356 */ "XRSession" "\0"
  /* 17366 */ "XRSessionEvent" "\0"
  /* 17381 */ "XRSpace" "\0"
  /* 17389 */ "XRSystem" "\0"
  /* 17398 */ "XRView" "\0"
  /* 17405 */ "XRViewerPose" "\0"
  /* 17418 */ "XRViewport" "\0"
  /* 17429 */ "XRWebGLLayer" "\0"
  /* 17442 */ "XSLTProcessor" "\0"
  /* 17456 */ "XULCommandEvent" "\0"
  /* 17472 */ "XULElement" "\0"
  /* 17483 */ "XULFrameElement" "\0"
  /* 17499 */ "XULMenuElement" "\0"
  /* 17514 */ "XULPopupElement" "\0"
  /* 17530 */ "XULTextElement" "\0"
  /* 17545 */ "XULTreeElement" "\0"
  /* 17560 */ "console" "\0"
  /* 17568 */ "mozRTCIceCandidate" "\0"
  /* 17587 */ "mozRTCPeerConnection" "\0"
  /* 17608 */ "mozRTCSessionDescription" "\0"
  /* 17633 */ "webkitSpeechGrammar" "\0"
  /* 17653 */ "webkitSpeechGrammarList" "\0"
  /* 17677 */ "webkitSpeechRecognition" "\0"
  /* 17701 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

